summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-02-24 08:43:34 +0000
committerMichał Górny <mgorny@gentoo.org>2014-02-24 08:43:34 +0000
commitc1aa898222b894c9d3d79578a8c19dc77d22c786 (patch)
tree0921bf2fa8410088906467a367c70447e9015fab /eclass/git-r3.eclass
parentUpdate kernel req. CONFIG_NET and CONFIG_DMIID (dmi is used in 60-keyboard.ru... (diff)
downloadgentoo-2-c1aa898222b894c9d3d79578a8c19dc77d22c786.tar.gz
gentoo-2-c1aa898222b894c9d3d79578a8c19dc77d22c786.tar.bz2
gentoo-2-c1aa898222b894c9d3d79578a8c19dc77d22c786.zip
Fetch and preserve git notes as well.
Diffstat (limited to 'eclass/git-r3.eclass')
-rw-r--r--eclass/git-r3.eclass8
1 files changed, 7 insertions, 1 deletions
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index ff2a4ac0cf63..fe49fc224b0b 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.24 2014/02/23 22:05:55 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/git-r3.eclass,v 1.25 2014/02/24 08:43:34 mgorny Exp $
# @ECLASS: git-r3.eclass
# @MAINTAINER:
@@ -330,6 +330,8 @@ git-r3_fetch() {
"refs/heads/*:refs/heads/*"
# pull tags explicitly in order to prune them properly
"refs/tags/*:refs/tags/*"
+ # notes in case something needs them
+ "refs/notes/*:refs/notes/*"
)
set -- "${fetch_command[@]}"
@@ -447,9 +449,13 @@ git-r3_checkout() {
"${@}" || die "git clone (for checkout) failed"
git-r3_sub_checkout() {
+ local orig_repo=${GIT_DIR}
local -x GIT_DIR=${out_dir}/.git
local -x GIT_WORK_TREE=${out_dir}
+ # pull notes
+ git fetch "${orig_repo}" "refs/notes/*:refs/notes/*" || die
+
set -- git checkout --quiet
if [[ ${remote_ref} ]]; then
set -- "${@}" "${remote_ref#refs/heads/}"